using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class WaterObject : MonoBehaviour {

    /// <summary>
    /// Called when object intersects water plane
    /// </summary>
    public abstract void OnWaterEnter();

    /// <summary>
    /// Called while objects stays in water
    /// </summary>
    public abstract void OnWaterStay();

    /// <summary>
    /// Called when object leaves water
    /// </summary>
    public abstract void OnWaterExit();
    

}
